#### D.4.19.10 primTest

Procedure from library `mprimdec.lib` (see mprimdec_lib).

Usage:
  primTest(i[, p]); a zero-dimensional ideal i, irreducible poly p in i

Return:
  if i is neither prime nor homogeneous then ideal(0) is returned, otherwise radical(i)

Example:

    LIB "mprimdec.lib";
    ring r=0,(x,y,z),lp;
    ideal i=x+1,y-1,z;
    i=std(i);
    ideal primId=primTest(i,z);
    primId;
    ==> primId[1]=z
    ==> primId[2]=y-1
    ==> primId[3]=x+1
    i=x,z2,yz,y2;
    i=std(i);
    primId=primTest(i);
    primId;
    ==> primId[1]=x
    ==> primId[2]=y
    ==> primId[3]=z

User manual for Singular version 4.4.1, 2025, generated by texi2html.